ru.bitel.bgbilling.modules.subscription.server.bean

## Class CostSumTime

- java.lang.Object
- - bitel.billing.server.contract.bean.CostSum
  - - ru.bitel.bgbilling.modules.subscription.server.bean.CostSumTime

-     public class CostSumTime
      extends CostSum

  Бин, который хранит наработку договора по определенной услуге в определенное время. Является наследником `CostSum`
  Author:
    reflexive

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.contract.bean.CostSum

      `cid, cost, sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CostSumTime(int id, int cid, int sid, java.math.BigDecimal cost, java.util.Date date)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateTime()` Получение даты и времени начисления
    `int` | `getId()` Получение кода записи о начислении в БД в пределах месячной таблицы с детализацией.
    `void` | `setDateTime(java.util.Date dateTime)` Установка даты и времени начисления
    `void` | `setId(int id)` Установка кода записи о начислении в БД.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class bitel.billing.server.contract.bean.CostSum

      `getKey`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CostSumTime

          public CostSumTime(int id,
                             int cid,
                             int sid,
                             java.math.BigDecimal cost,
                             java.util.Date date)

  - ### Method Detail

    - #### getId

          public int getId()

      Получение кода записи о начислении в БД в пределах месячной таблицы с детализацией.
      Returns:
        код записи

    - #### setId

          public void setId(int id)

      Установка кода записи о начислении в БД.
      Parameters:
        `id` - код записи

    - #### getDateTime

          public java.util.Date getDateTime()

      Получение даты и времени начисления
      Returns:

    - #### setDateTime

          public void setDateTime(java.util.Date dateTime)

      Установка даты и времени начисления
      Parameters:
        `dateTime` - дата/время начисления

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`